/**
 * _______________________________________________________________________________
 *
 *  Copyright (c) 2012 TU Dresden, Chair for Embedded Systems
 *  Copyright (c) 2013-2016 TU Darmstadt, Computer Systems Group
 *  (http://www.rs.tu-darmstadt.de) All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *
 *  3. All advertising materials mentioning features or use of this software
 *     must display the following acknowledgement: "This product includes
 *     software developed by the TU Dresden Chair for Embedded Systems, TU Darmstadt Computer Systems Group and
 *     its contributors."
 *
 *  4. Neither the name of the TU Dresden Chair for Embedded Systems, TU Darmstadt Computer Systems Group nor the
 *     names of its contributors may be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY TU DRESDEN CHAIR FOR EMBEDDED SYSTEMS, TU DARMSTADT COMPUTER SYSTEMS GROUP AND
 *  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *  BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 *  FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * _______________________________________________________________________________
 */
assign debug[0]=cs_control_r;
assign debug[1]=cs_control_w;
assign debug[2]=cs_status_r;
assign debug[3]=cs_status_w;
assign debug[4]=cs_address_low_r;
assign debug[5]=cs_address_low_w;
assign debug[6]=cs_address_high_r;
assign debug[7]=cs_address_high_w;
assign debug[8]=cs_rd_count_r;
assign debug[9]=cs_rd_count_w;
assign debug[10]=cs_data_low_r;
assign debug[11]=cs_data_low_w;
assign debug[12]=cs_data_high_r;
assign debug[13]=cs_data_high_w;
assign debug[31:14] = di_peri;
assign debug[49:32] = do_peri;
assign debug[50] = cmd_empty;
assign debug[51] = cmd_full;
assign debug[58:52] = wr_count;
assign debug[59] = wr_full;
assign debug[60] = wr_empty;
assign debug[61] = wr_underrun;
assign debug[62] = wr_error;
assign debug[63] = rd_full;
assign debug[64] = rd_empty;
assign debug[71:65] = rd_count;
assign debug[72] = rd_overflow;
assign debug[73] = rd_error;
assign debug[74] = calib_done;
assign debug[106:75] = rd_data;
assign debug[107]                   = cmd_en;
assign debug[110:108]                 = cmd_instr;
assign debug[117:111]                = cmd_bl;
assign debug[146:118]               = cmd_byte_addr;
assign debug[147]                  = wr_en;
assign debug[148]                  = rd_en;
assign debug[152:149]               = wr_mask;
assign debug[184:153]               = wr_data;
assign debug[185] = auto_precharge;
assign debug[186] = low_only;
assign debug[187] = data_layout;
assign debug[194:188] = rd_count_reserved;
assign debug[212:195] = rd_count_not_bursted;
