#pragma once
#ifdef __cplusplus
extern "C" {
#endif

void copy_reg_to_mem(const volatile unsigned int * const source_reg, unsigned int * target_mem_start, unsigned int count);
void copy_mem_to_reg(const unsigned int * const source_mem_start, volatile unsigned int * const target_reg, unsigned int count);
void copy_reg_to_mem_with_small_buffer(const volatile unsigned int *source_reg, const unsigned int * target_mem_start, unsigned int count, volatile unsigned int *msg_size_reg, volatile unsigned int *status_reg, int send_free);
void copy_mem_to_reg_with_small_buffer(const unsigned int *source_mem_start, volatile unsigned int * const target_reg, unsigned int count, volatile unsigned int *msg_size_reg, volatile unsigned int *status_reg, int send_free);

#ifdef __cplusplus
}
#endif