/*
_______________________________________________________________________________

 Copyright (c) 2012 TU Dresden, Chair for Embedded Systems
 (http://www.mr.inf.tu-dresden.de) All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

 3. All advertising materials mentioning features or use of this software
    must display the following acknowledgement: "This product includes
    software developed by the TU Dresden Chair for Embedded Systems and
    its contributors."

 4. Neither the name of the TU Dresden Chair for Embedded Systems nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY TU DRESDEN CHAIR FOR EMBEDDED SYSTEMS AND
 CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
_______________________________________________________________________________
*/

#ifndef __PORT_BI_H_OLD
#define __PORT_BI_H_OLD

#ifdef __cplusplus
extern "C" {
#endif

// this file is kept for compatibility and may be removed in the future

#include <peripherals/port_bi.h>

#define IO00   PORT_IOBIT_0	
#define IO01   PORT_IOBIT_1 
#define IO02   PORT_IOBIT_2 
#define	IO03   PORT_IOBIT_3 
#define IO04   PORT_IOBIT_4 
#define IO05   PORT_IOBIT_5 
#define IO06   PORT_IOBIT_6 
#define IO07   PORT_IOBIT_7 
#define IO08   PORT_IOBIT_8 
#define IO09   PORT_IOBIT_9 
#define IO10   PORT_IOBIT_10 
#define IO11   PORT_IOBIT_11 
#define IO12   PORT_IOBIT_12 
#define IO13   PORT_IOBIT_13 
#define IO14   PORT_IOBIT_14 
#define IO15   PORT_IOBIT_15 
#define IO16   PORT_IOBIT_16 
#define IO17   PORT_IOBIT_17 

typedef port_bi_regs_t port_bi_t;

#ifdef __cplusplus
}
#endif

#endif
