
Groovy Terminal Example Usage
============================

adding modules to the project:
   spartan = document + "spartanmc"
   clk = document + "clk_xilinx"
   port = spartan + "port_out"

displaying a module's ports or parameters:
   port.ports
   port.parameters

connecting all subsystems to the clock:
   document.subsystems.each {document.connect it.ports.clk, clk.ports.clkfx}
   document.subsystems.each {document.connect it.ports.locked, clk.ports.locked}

connecting the clock to an input clock pin:
   document.connect document.pins.P_USER_CLOCK, clk.ports.clk_gen

setting a module's parameters:
   port.parameters["PORT_WIDTH"] = 1

removing modules from the document:
   document.removeModule(spartan)
