import de.tu_darmstadt.rs.spartanmc.jconfig.util.LibJConfigRunner

import java.nio.file.Paths

/*
Sample start script that can be used to start arbitrary instances of libJconfig to play / debug with. Full API is available.
Primed for use with IntelliJ Ideas "Groovy Console" for classpath libjconfig_main.

 */

def runner = new LibJConfigRunner("temp", true)
runner.spartanRoot = Paths.get('../../../../../')
runner.setTargetConf("Nexys-Video")
runner.allowAutoCreateDocument()

def prj = runner.buildAndRun()
def docHandler = prj.documentHandler
def doc = docHandler.document

(0..3).each {
	def core = doc.add('spartanmc', "core$it")
	core + 'uart_light'
}

def clk = doc + 'clk_xilinx'

println '----------'

