package dispatcher;

/**
 * Reentrant spin lock. PFE jenkov.com
 */
public class Lock {
    private boolean locked = false;
    private int cnt = 0;
    private Thread t;

    public synchronized void lock() throws InterruptedException {
        Thread c = Thread.currentThread();
        while (locked && t != c)
            wait();

        locked = true;
        cnt++;
        t = c;
    }

    public synchronized void unlock() {
        if (Thread.currentThread() == t) {
            cnt--;
            if (cnt == 0) {
                locket = false;
                notify();
            }
        }
    }
}
