package dispatcher.model;

import java.util.*;
import libsim.*;

public class TimedExec extends libsim.TimedExec {
    private SimState sim_state;

    public void sim_state(SimState state) {
        sim_state = state;
        switch (state) {
        case UNINITIALIZED:
        case UNCONNECTED:
        case RESET:
        case STOPPED:
            stop_timer();
            break;
        case RUNNING:
            resume_timer();
            break;
        }
    }
}
