/**
 * _______________________________________________________________________________
 *
 * Copyright (c) 2012 TU Dresden, Chair for Embedded Systems
 * Copyright (c) 2013-2016 TU Darmstadt, Computer Systems Group
 * (http://www.rs.tu-darmstadt.de) All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * 3. All advertising materials mentioning features or use of this software
 * must display the following acknowledgement: "This product includes
 * software developed by the TU Dresden Chair for Embedded Systems, TU Darmstadt Computer Systems Group and
 * its contributors."
 *
 * 4. Neither the name of the TU Dresden Chair for Embedded Systems, TU Darmstadt Computer Systems Group nor the
 * names of its contributors may be used to endorse or promote products
 * derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY TU DRESDEN CHAIR FOR EMBEDDED SYSTEMS, TU DARMSTADT COMPUTER SYSTEMS GROUP AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * _______________________________________________________________________________
 */
package de.tu_darmstadt.rs.sim.engine.dcm;

/**
 * Enum with all possible values for the CLKDV_DIVIDE parameter of a DCM
 */
/*public enum CLKDV_DIVIDE{
	/**
	 * 1.5
	 */
/*	DIVIDE_1_5(2,3),
	/**
	 * 2
	 */
/*	DIVIDE_2(1,2),
	/**
	 * 2.5
	 */
/*	DIVIDE_2_5(2,5),
	/**
	 * 3
	 */
/*	DIVIDE_3(1,3),
	/**
	 * 3.5
	 */
/*	DIVIDE_3_5(2,7),
	/**
	 * 4
	 */
/*	DIVIDE_4(1,4),
	/**
	 * 4.5
	 */
/*	DIVIDE_4_5(2,9),
	/**
	 * 5
	 */
/*	DIVIDE_5(1,5),
	/**
	 * 5.5
	 */
/*	DIVIDE_5_5(2,11),
	/**
	 * 6
	 */
/*	DIVIDE_6(1,6),
	/**
	 * 6.5
	 */
/*	DIVIDE_6_5(2,13),
	/**
	 * 7
	 */
/*	DIVIDE_7(1,7),
	/**
	 * 7.5
	 */
	/*DIVIDE_7_5(2,15),
	/**
	 * 8
	 */
	/*DIVIDE_8(1,8),
	/**
	 * 9
	 */
/*	DIVIDE_9(1,9),
	/**
	 * 10
	 */
/*	DIVIDE_10(1,10),
	/**
	 * 11
	 */
/*	DIVIDE_11(1,11),
	/**
	 * 12
	 */
/*	DIVIDE_12(1,12),
	/**
	 * 13
	 */
/*	DIVIDE_13(1,13),
	/**
	 * 14
	 */
/*	DIVIDE_14(1,14),
	/**
	 * 15
	 */
/*	DIVIDE_15(1,15),
	/**
	 * 16
	 */
/*	DIVIDE_16(1,16);
	/**
	 * default value
	 */
/*	public static final CLKDV_DIVIDE DEFAULT_VALUE=DIVIDE_2;
	/**
	 * the nominator of the fraction
	 */
	/*private long nominator;
	/**
	 * the denominator of the fraction
	 */
	/*private long denominator;
	/**
	 * Constructor
	 * @param nominator the nominator
	 * @param denominator the denominator
	 */
	/*private CLKDV_DIVIDE(long nominator,long denominator){
		this.nominator=nominator;
		this.denominator=denominator;
	}

	/**
	 * used by the clocking mechanism
	 * @return nominator of the {@link CLKDV_DIVIDE} value
	 */
	/*public long getNominator(){
		return nominator;
	}

	/**
	 * used by the clocking mechanism
	 * @return denominator of the {@link CLKDV_DIVIDE} value
	 */
	/*public long getDenominator(){
		return denominator;
	}

	/**
	 * get a {@link CLKDV_DIVIDE} value from a double value
	 * @param value a double value
	 * @return the {@link CLKDV_DIVIDE} value
	 */
	/*public static CLKDV_DIVIDE getByValue(double value){
		long denom=(long) value;
		long denomHalf=(long) (value+0.5);
		boolean half=(denom!=denomHalf);
		if(half){
			denom*=2;
		}
		for(CLKDV_DIVIDE div:CLKDV_DIVIDE.values()){
			if(div.getDenominator()==denom){
				if(half&&div.getNominator()==2){
					return div;
				}else if(!half&&div.getNominator()==1){
					return div;
				}
			}
		}
		return DEFAULT_VALUE;
	}

	@Override
	public String toString() {
		return name().substring(7).replace('_', '.');
	}
}*/
