# Checks wether a given buildfile
# runs sucessfully with ant
# requires ${ANT}
# $1: buildfile to use
AC_DEFUN(AC_TRY_ANT,[
BUILDFILE=$1
AC_MSG_CHECKING([if ant is working])
TESTCMD='${ANT} -q -f ${BUILDFILE}'
if ! eval $TESTCMD; then
  AC_FAIL(['ant failed, most likely a required task is missing. See ant-output above for details!'])
fi
])
