#include <stdio.h>
#include <perf.h>
#include <peripherals.h>
#include <stdio.h>
int bar(int a, int b);
FILE *stdout = (&UART_LIGHT_0_FILE);
static int foo(int a) {
    int ret = 1;
    perf_auto_start();
    while (a--) {
	ret += ret;
    }
    perf_auto_stop(0, perf_results);
    return ret;
}

struct perf_auto_result perf_results[] = {
    {.name = "main.c:foo:while:11"},
    {.name = "main.c:main:foo(10):24"},
    {.name = "main.c:main:foo(100):25"},
    {.name = "main.c:main:printf(\"test\\r\\n\"):27"},
    {.name = "main.c:main:a=foo(10):29"},
    {.name = "main.c:main:b=foo(20):30"},
    {.name = "main.c:main:bar(a, b):31"},
    {.name = "main.c:main:block:33:38"},
    {.name = "main.c:main:for:40"},
    {.name = "main.c:main:for:44"},
    {.name = "main.c:main:while:48"},
    {.name = "main.c:main:a=(a+b):52"},
    {.name = "test.c:bar:a=(a+b):3"},
};
void main(void) {
    perf_auto_init();
    int a;
    int b = 0;
    perf_auto_start();
    foo(10);
    perf_auto_stop(1, perf_results);
    perf_auto_start();
    foo(100);
    perf_auto_stop(2, perf_results);
    perf_auto_start();
    printf("test\r\n");
    perf_auto_stop(3, perf_results);
    perf_auto_start();
    a = foo(10);
    perf_auto_stop(4, perf_results);
    perf_auto_start();
    b = foo(20);
    perf_auto_stop(5, perf_results);
    perf_auto_start();
    bar(a, b);
    perf_auto_stop(6, perf_results);
    perf_auto_start();
    a = (a - b);
    b = (b - a);
    a = (a * a);
    b = (b * b);
    a = (a + b);
    b = (a + b);
    perf_auto_stop(7, perf_results);
    perf_auto_start();
    for (a = 0; a < 10; a++) {
	;
    }
    perf_auto_stop(8, perf_results);
    perf_auto_start();
    {
	int i = 0;
	for (; i < 10; i++) {
	    ;
	}
    }
    perf_auto_stop(9, perf_results);
    perf_auto_start();
    while (b--) {
	foo(b);
    }
    perf_auto_stop(10, perf_results);
    perf_auto_start();
    a = (a + b);
    perf_auto_stop(11, perf_results);
    perf_auto_print(13, perf_results);
}
