/*
 * platform.c
 *
 *  Created on: 05.07.2017
 *      Author: laurenzk
 */

#include <peripherals.h>
#include <ethlib.h>
#include <stdio.h>

#include "platform.h"
#include "network.h"

struct netdev eth0 = {
	.id = 0,
	.phy_addr = 4,
#ifdef MDIO_0
	.mdio = &MDIO_0,
#endif
#ifdef ETHERNET_RX_0
	.rx = &ETHERNET_RX_0,
#endif
#ifdef ETHERNET_TX_0
	.tx = &ETHERNET_TX_0,
#endif
#ifdef ETHERNET_RX_0_DMA
	.rx_dma = &ETHERNET_RX_0_DMA,
#endif
#ifdef ETHERNET_TX_0_DMA
	.tx_dma = &ETHERNET_TX_0_DMA
#endif
};

struct netdev eth1 = {
	.id = 1,
	.phy_addr = 0,
#ifdef MDIO_1
	.mdio = &MDIO_1,
#endif
#ifdef ETHERNET_RX_1
	.rx = &ETHERNET_RX_1,
#endif
#ifdef ETHERNET_TX_1
	.tx = &ETHERNET_TX_1,
#endif
#ifdef ETHERNET_RX_1_DMA
	.rx_dma = &ETHERNET_RX_1_DMA,
#endif
#ifdef ETHERNET_TX_1_DMA
	.tx_dma = &ETHERNET_TX_1_DMA
#endif
};







