/*
 * platform_eth0_init.c
 *
 *  Created on: 06.07.2017
 *      Author: laurenzk
 */


#include <peripherals.h>
#include <ethlib.h>

#include "platform.h"

extern struct netdev eth0;

void platform_eth0_init(void)
{
	/* Initialize DMA buffers. */
	ethernet_rx_init(eth0.rx, eth0.rx_dma);
	eth0.rx->control |= 1; // Receive all frames.
}
