#include <subsystems/spartanmc_0/peripherals.h>
#include <stdio.h>


int checkIfEq1(int a) {
	int eq;
	asm volatile(
		//Error from #614 would occur here
		"ADDI %1, -10\n\t"
		"ADDI %1, 9\n\t"
		"BNEZ %1, L%=\n\t"
		"NOP; empty delay-slot\n\t"


		//Write one to result
		"J end%=\n\t"
		"MOVI %0, 1  ; delay-slot\n\t"

		//Write zero to result
		"L%=: MOVI %0,0\n\t"
		"end%=: "

		: "=r"(eq)
		: "r"(a)
		: /* nothing clobbered */

	);

	return eq;

}

FILE * stdout = &UART_LIGHT_0_FILE;

void main() {
	printf("0:%d\n",checkIfEq1(0));
	printf("1:%d\n",checkIfEq1(1));
	printf("2:%d\n",checkIfEq1(2));
}


