#include <mutex.h>
#include <semaphore.h>
#include <globalvariables.h>
#include <peripherals.h>
#include <stdio.h>

DECLARE_MUTEX_CLOSED(mymutex)
DEFINE_GLOBAL(int, myint, 42)
DECLARE_SEMAPHORE(sem)

FILE * stdout = &SIM_PRINT_0_FILE;

void main() {
	//while(myint>=1);	
	down(&sem);
	PORT_OUT_0.data=1; 
	myint=myint-1;
	
	up(&sem);
	PORT_OUT_0.data=0;
	wait(&mymutex);
	printf("myint=%d\n", myint);
}
