#include <stdio.h>
#include <uart.h>
#include <peripherals.h>

FILE * stdout = &UART_LIGHT_0_FILE;

char dma_buf[10] = {9,8,7,6,5,4,3,2,1,0};
char out_buf[10] = {0,0,0,0,0,0,0,0,0,0};

int test1(char *data, char *out) {
    int i;
    char ptr=data[0];
    for (i=0; i<10; i++) {
      ptr += data[i];
      out[i] = data[i];
    }
    return (int)ptr;
}

int test2(char *data, char *out) {
    int i;
    char ptr=data[0];
    for (i=0; i<10; i++) {
      ptr += data[i];
      out[i] += data[i];
    }
    return (int)ptr;
}

void main() {
    
    int x = test1(dma_buf, out_buf);
    printf("%d %d %d %d\n",x, out_buf[0], out_buf[1], out_buf[2]);
    
    x = test2(dma_buf, out_buf);
    printf("%d %d %d %d\n",x, out_buf[0], out_buf[1], out_buf[2]);
}
