//core0
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#define AMOUNT_SENDS 2
#define OFFSET 40

#define SIM 1

#if SIM == 1
FILE * stdout = &SIM_PRINT_0_FILE;
#endif

void fill_arr(volatile int *arr, int n){
	for(int i=OFFSET+1; i<n+OFFSET+1; i++){
		*arr = i;
		arr++;
	}
}


int main(){

	volatile int *arr0=&MEM_SWAP_MULTI_MASTER_0_DMA[0];
	fill_arr(arr0, AMOUNT_SENDS);
	//send data arrays

	mem_swap_swap(&MEM_SWAP_MULTI_MASTER_0.status);
	#if SIM==1
	
	printf("mem swap1\n");
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_MULTI_MASTER_0_DMA[i]!=i+10)	
			printf("got %d but expect %d\n",MEM_SWAP_MULTI_MASTER_0_DMA[i], i+10);
		MEM_SWAP_MULTI_MASTER_0_DMA[i]=MEM_SWAP_MULTI_MASTER_0_DMA[i]+10;
	}
	#endif
	unsigned int success = mem_swap_swap_nb(&MEM_SWAP_MULTI_MASTER_0.status);
	if(success == 0) {
		#if SIM==1
		printf("notReady\n");
		#endif
		wait_mem_swapped(&MEM_SWAP_MULTI_MASTER_0.status);
	}
	#if SIM==1
	printf("mem swap2\n");
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_MULTI_MASTER_0_DMA[i]!=i+81)	
			printf("got %d but expect %d\n",MEM_SWAP_MULTI_MASTER_0_DMA[i], i+81);
	}


	mem_swap_swap(&MEM_SWAP_MULTI_MASTER_0.status);

	printf("mem swap3\n");
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_MULTI_MASTER_0_DMA[i]!=i+61)	
			printf("got %d but expect %d\n",MEM_SWAP_MULTI_MASTER_0_DMA[i], i+61);
		MEM_SWAP_MULTI_MASTER_0_DMA[i]=MEM_SWAP_MULTI_MASTER_0_DMA[i]+30;
	}

	printf("DONE2\n");
	#endif
	while(1);	
}
