//core1
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#define AMOUNT_SENDS 2
#define SIM 1

#if SIM == 1
FILE * stdout = &SIM_PRINT_0_FILE;
#else
FILE * stdout = &UART_LIGHT_0_FILE;
#endif
void fill_arr(volatile int *arr, int n){
	for(int i=10; i<n+10; i++){
		*arr = i;
		arr++;
	}
}


int main(){


	
	volatile int *arr0=&MEM_SWAP_SLAVE_0_DMA[0];
	fill_arr(arr0, AMOUNT_SENDS);
	//send data arrays

	mem_swap_swap(&MEM_SWAP_SLAVE_0.status);

	printf("swap1\n");
	
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_SLAVE_0_DMA[i]!=i+41)	
			printf("got %d but expect %d\n",MEM_SWAP_SLAVE_0_DMA[i], i+41);
		MEM_SWAP_SLAVE_0_DMA[i]=MEM_SWAP_SLAVE_0_DMA[i]+20;
	}
	printf("delay");
	unsigned int success = mem_swap_swap_nb(&MEM_SWAP_SLAVE_0.status);
	if(success == 0) {
		printf("notReady");
		wait_mem_swapped(&MEM_SWAP_SLAVE_0.status);
	}

	printf("swap2\n");
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_SLAVE_0_DMA[i]!=i+81)	
			printf("got %d but expect %d\n",MEM_SWAP_SLAVE_0_DMA[i], i+81);
		MEM_SWAP_SLAVE_0_DMA[i]=MEM_SWAP_SLAVE_0_DMA[i]+2;
	}
	printf("DONE1\n");
	while(1);	
}
