#include <stdio.h>
#include <peripherals.h>
#include <interrupt.h>
#include "moduleParameters.h"


ISR(0)() {
    memguard_print(&MEMGUARD_0);
}

FILE * stdout = &SIM_PRINT_0_FILE;

void main() {
    memguard_configure_default(&MEMGUARD_0,SB_MEMGUARD_0_NUM_WATCHERS);
    memguard_info(&MEMGUARD_0,SB_MEMGUARD_0_NUM_WATCHERS);
    interrupt_enable();
    memguard_enable(&MEMGUARD_0,1);

    //Produce an error
    int * t = (int *) 10;
    printf("read 0: %X\n",*t);
}
