
#!/bin/bash

#exit on all errors
set -e

#create temp dir, remove on exit
WORKDIR=`mktemp --directory --tmpdir spmc-newfirmwareLate.XXXXXX`
trap "rm -rf $WORKDIR" EXIT

#generate project
make -C $SPARTANMC_ROOT newproject +path=$WORKDIR
cp template.jc3 $WORKDIR/config.jc3
cd $WORKDIR
make newfirmware +path=firmware
make jconfig +args="-f config.jc3 -q -u"
rm -rf firmware

#JC does not open - See #997
make jconfig +args="-q" </dev/null

#this crashes :(
make newfirmware +path=firmware
