#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-

from numpy import *
import math

def inv():
	#Angabe der Parameter wie in JConfig bzw. den Verilogquellen
	SYSTEM_FREQUENCY = 28125
	F_STEP_MAX = 11*1000*8	

	index = arange(0, 1024, 1) 			
	fsys=SYSTEM_FREQUENCY*10**3
	#fstepstart = fsys/(2**18-0.0)
	f_step_start_min = fsys>>18
	delta_f = (F_STEP_MAX - f_step_start_min)>>10     # Frequenzunterschied zwischen zwei benachbarten Eintraegen in der LUT berechnen
	frequency = f_step_start_min + index * delta_f		# Schrittfrequenzen berechnen
	tstep = 10**9/frequency        
	clk_cnt = fsys / frequency			# die eigentlichen LUT-Werte berechnen (Schrittdauer in Anzahl der Systemtakte

	for i in index:
		tmp = int(clk_cnt[i])
		if tmp > 2**18-1:
			tmp = 2**18-1
		print "%02x %02x %02x"%(tmp>>16,(tmp>>8)&0xff,tmp&0xff)

	

# when executed, just run demo():
if __name__ == '__main__':
	inv()

