## Project Navigator simulation template: testbench.udo
## You may edit this file to control your simulation.
proc bit2hex {bit} {
	set data 0
	for {set i 0} {$i < [string length $bit]} \
		{incr i} {
		set data [expr $data << 1]
		if {[string compare [string index $bit $i] "1"] == 0} {
			incr data
		}
	}
	return [format "%5x" $data]
}

proc showmem {start ende} {
	for {set addr $start} {$addr <= $ende} {incr addr} {
		set signal  "/test_bench/tester/core/u1/u2/DPRAM/mem\[$addr\]"
		set signalp "/test_bench/tester/core/u1/u2/DPRAM/memp\[$addr\]"
		set data [examine $signal]
		set datap [examine $signalp]
		set data18 "$datap$data"
		echo [format "%4x: %5x" $addr [bit2hex $data18]]
	}
}
