#ifndef __AXI_H
#define __AXI_H

#ifdef __cplusplus
extern "C" {
#endif

#include	<peripherals/axi.h>
#include	<stdint.h>

void axi_write_sync(axi_dma_t *axi_p, uint9_t bsel, uint36_t addr, uint9_t blen);
void axi_write(axi_dma_t *axi_p, uint9_t bsel, uint36_t addr, uint9_t blen);

void axi_read_sync(axi_dma_t *axi_p, uint9_t bsel, uint36_t addr, uint9_t blen);
void axi_read(axi_dma_t *axi_p, uint9_t bsel, uint36_t addr, uint9_t blen);

uint9_t axi_done(axi_dma_t *axi_p, uint9_t sel);

#ifdef __cplusplus
}
#endif

#endif
