#ifndef __LOADER_CMD_H
#define __LOADER_CMD_H

#ifdef __cplusplus
extern "C" {
#endif

#define LOADER_CMD_ECHO         0x0
#define LOADER_CMD_NOP          0xF
#define LOADER_CMD_WRITE_DATA   0x5
#define LOADER_CMD_READ_DATA    0x6
#define LOADER_CMD_SET_ADDR     0x9
#define LOADER_CMD_RESET        0xA

#define LOADER_ERR              'x'
#define LOADER_OK               'v'
#define LOADER_SYNC             '*'
#define LOADER_STOP_SYNC        0x18

#define LOADER_SYNQSEQ_LEN      64

#ifdef __cplusplus
}
#endif

#endif
