#ifndef ETHERNET_TX_H_
#define ETHERNET_TX_H_

#ifdef __cplusplus
extern "C" {
#endif


typedef struct ethernet_tx_mem{
	volatile unsigned int x[1024];
} ethernet_tx_dma_t;

typedef struct ethernet_tx_regs{
	volatile unsigned int control;
	volatile unsigned int offset;
	volatile unsigned int interrupt;
	volatile unsigned int txCount;
} ethernet_tx_regs_t;


#define ETHERNET_TX_CONTROL_IRQEN 1
#define ETHERNET_TX_CONTROL_AVAIL 2
#define ETHERNET_TX_CONTROL_TRANSMITTING 4

#ifdef __cplusplus
}
#endif

#endif
