#ifndef ETHERNET_MDIO_H
#define ETHERNET_MDIO_H

#ifdef __cplusplus
extern "C" {
#endif



typedef struct mdio_regs{
    volatile unsigned int data;
    volatile unsigned int address;
} mdio_regs_t;

#define MDIO_DATA_WEN 0x20000
#define MDIO_DATA_RESULT_OFFSET 0
#define MDIO_DATA_RESULT_MASK 0xFFFF

#define MDIO_ADDRESS_IDLE 0x20000
#define MDIO_ADDRESS_REG_ADDR_OFFSET 0
#define MDIO_ADDRESS_REG_ADDR_MASK   0x1F
#define MDIO_ADDRESS_PHY_ADDR_OFFSET 5
#define MDIO_ADDRESS_PHY_ADDR_MASK   0x1E0


#ifdef __cplusplus
}
#endif

#endif //ETHERNET_MDIO_H
