/*
_______________________________________________________________________________

 Copyright (c) 2012 TU Dresden, Chair for Embedded Systems
 (http://www.mr.inf.tu-dresden.de) All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

 3. All advertising materials mentioning features or use of this software
    must display the following acknowledgement: "This product includes
    software developed by the TU Dresden Chair for Embedded Systems and
    its contributors."

 4. Neither the name of the TU Dresden Chair for Embedded Systems nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY TU DRESDEN CHAIR FOR EMBEDDED SYSTEMS AND
 CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
_______________________________________________________________________________
*/

#ifndef __PORT_IN_F_H_OLD
#define __PORT_IN_F_H_OLD

#ifdef __cplusplus
extern "C" {
#endif

// this file is kept for compatibility and may be removed in the future

#include <peripherals/port_in_f.h>

#ifndef __PORT_IN_H_OLD

#define IN00	PORT_INBIT_0 
#define IN01	PORT_INBIT_1 
#define IN02	PORT_INBIT_2 
#define	IN03	PORT_INBIT_3 
#define IN04	PORT_INBIT_4 
#define IN05	PORT_INBIT_5 
#define IN06	PORT_INBIT_6 
#define IN07	PORT_INBIT_7 
#define IN08	PORT_INBIT_8 
#define IN09	PORT_INBIT_9 
#define IN10	PORT_INBIT_10
#define IN11	PORT_INBIT_11
#define IN12	PORT_INBIT_12
#define IN13	PORT_INBIT_13
#define IN14	PORT_INBIT_14
#define IN15	PORT_INBIT_15
#define IN16	PORT_INBIT_16
#define IN17	PORT_INBIT_17

#endif

#define	FF_EMPTY	(1<<0)
#define	FF_FULL		(1<<1)
#define FF_UE		(1<<2)	// wenn FF_FULL set = 1, wenn FF_EMPTY set = 0

typedef struct port_in_f_regs_t port_in_f_t;

#ifdef __cplusplus
}
#endif

#endif
