/*
_______________________________________________________________________________

 Copyright (c) 2012 TU Dresden, Chair for Embedded Systems
 (http://www.mr.inf.tu-dresden.de) All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

 3. All advertising materials mentioning features or use of this software
    must display the following acknowledgement: "This product includes
    software developed by the TU Dresden Chair for Embedded Systems and
    its contributors."

 4. Neither the name of the TU Dresden Chair for Embedded Systems nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY TU DRESDEN CHAIR FOR EMBEDDED SYSTEMS AND
 CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
_______________________________________________________________________________
*/

#ifndef __PORT_OUT_H_OLD
#define __PORT_OUT_H_OLD

#ifdef __cplusplus
extern "C" {
#endif

// this file is kept for compatibility and may be removed in the future

#include <peripherals/port_out.h>

#define OU00	PORT_OUTBIT_0 
#define OU01	PORT_OUTBIT_1 
#define OU02	PORT_OUTBIT_2 
#define OU03	PORT_OUTBIT_3 
#define OU04	PORT_OUTBIT_4 
#define OU05	PORT_OUTBIT_5 
#define OU06	PORT_OUTBIT_6 
#define OU07	PORT_OUTBIT_7 
#define OU08	PORT_OUTBIT_8 
#define OU09	PORT_OUTBIT_9 
#define OU10	PORT_OUTBIT_10
#define OU11	PORT_OUTBIT_11
#define OU12	PORT_OUTBIT_12
#define OU13	PORT_OUTBIT_13
#define OU14	PORT_OUTBIT_14
#define OU15	PORT_OUTBIT_15
#define OU16	PORT_OUTBIT_16
#define OU17	PORT_OUTBIT_17

typedef struct port_out_regs_t port_out_t;

#ifdef __cplusplus
}
#endif

#endif
