.section .traps, "ax", @progbits

.macro	table_entry	function
	.global \function\()_trap_nr
	\function\()_trap_nr = (. - _trap_table) >> 2
	j	\function\(_)
.endm

.global _trap_table
_trap_table:

table_entry	create_task
table_entry	delete_task
table_entry	suspend_task
table_entry	resume_task
table_entry	get_current_task
table_entry	task_yield
table_entry	forbid_preemption
table_entry	permit_preemption
table_entry	malloc
table_entry	free
table_entry	initialize_semaphore
table_entry	semaphore_down
table_entry	semaphore_up

or	r0,	r0	; delay slot of the jump of the last entry
