# Checks whether an environment
# variable is set
# $1: name of environment variable to check
# $2: error message to show if not set
AC_DEFUN(AC_REQ_VARIABLE,[
AC_MSG_CHECKING([whether \$$1 is set])
if test -z "$$1"; then
	AC_MSG_RESULT([not set])
	AC_FAIL([$3])
else
	AC_MSG_RESULT([$$1])
fi
AC_MSG_CHECKING([for \$$1/$2])
if test ! -e "$$1/$2"; then
	AC_MSG_RESULT([not found])
	AC_FAIL([$3])
else
	AC_MSG_RESULT([ok])
fi
])
