# Basic functions to produce messages
ifeq ($(__DEFINITIONS),)
__DEFINITIONS:=1

# Some characters that are treated special in makefiles
COMMA:=,
$(COMMA):=,

COLON:=:
$(COLON):=:

SPACE:=
SPACE+=

define NEWLINE


endef

MAKE_MSG = $(info $(MAKE): $(subst $(SPARTANMC_ROOT)/$(2),,$(1)))
FATAL_ERROR=$(error  "$(MAKE): *** ERROR: $(1)$(NEWLINE)$(NEWLINE)$(NEWLINE)" )
FATAL_WARNING=$(warning "$(MAKE): *** WARNING: $(1)$(NEWLINE)$(NEWLINE)$(NEWLINE)")

# Print an info message when a makefile is included
define MAKEFILE_PROLOG
$(call MAKE_MSG,$(1)$(lastword $(filter-out $(lastword $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))$(2),src/scripts/make/)
endef

endif # __DEFINITIONS
