//global variables for performance_analysis_concentrator

//receiver
#define TOTAL_MESSAGES 250
//e.g. AMOUNT_CUMULATED_RECEIPTS=3 and SCALE_FACTOR=10 means that each slave sends 10, 20 and 30 values


#define GLOBAL_AMOUNT_RECEIVES 8

//set active cores
#define CORE_1_ACTIVE 1
#if GLOBAL_AMOUNT_RECEIVES > 1
	#define CORE_2_ACTIVE 1
#else
	#define CORE_2_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 2
	#define CORE_3_ACTIVE 1
#else
	#define CORE_3_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 3
	#define CORE_4_ACTIVE 1
#else
	#define CORE_4_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 4
	#define CORE_5_ACTIVE 1
#else
	#define CORE_5_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 5
	#define CORE_6_ACTIVE 1
#else
	#define CORE_6_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 6
	#define CORE_7_ACTIVE 1
#else
	#define CORE_7_ACTIVE 0
#endif
#if GLOBAL_AMOUNT_RECEIVES > 7
	#define CORE_8_ACTIVE 1
#else
	#define CORE_8_ACTIVE 0
#endif


#define SEND(id) {																	\
	volatile unsigned int * arr0=&CONCENTRATOR_SLAVE_DMA_0_DMA.data[0];														\
	fill_arr((int *)&arr0[0], TOTAL_MESSAGES);												\
	for(int i=id; i<=TOTAL_MESSAGES; i=i+GLOBAL_AMOUNT_RECEIVES){ 					\
		concentrator_slave_dma_send_data(&CONCENTRATOR_SLAVE_DMA_0_DMA, &arr0[0], i);				\
	}																				\
	}
