rm -rf sim/debugger*
rm -rf sim/output.txt
mkfifo sim/debuggerOut.txt
mkfifo sim/debuggerIn.txt
nc -k -l 4444 <sim/debuggerOut.txt >sim/debuggerIn.txt &
nc_pid=$!

echo -n "waiting until modelsim is running the simulation... "
#wait until sim/output.txt exists
while [ ! -f sim/output.txt ]
do
  sleep 1
done
echo "ok"


gdb `which spartanmc-gdb` --ex "run build/firmware/spartanmc_0_spartanmc_mem_local_0/main.elf -x commands.txt"


kill $nc_pid
