#include <peripherals.h>
#include <mpsoc.h>
#include <stdio.h>
#include "global_vars.h"

void fill_arr(int *arr, int n){
	for(int i=0; i<n; i++){
		*arr = i;
		arr++;
	}
}

FILE * stdout = &SIM_PRINT_0_FILE;

int main(){

	volatile unsigned int * arr = &DISPATCHER_MASTER_DMA_0_DMA.data[0];
	fill_arr((int *)&arr[0], TOTAL_MESSAGES);

	for(int i=1; i<=TOTAL_MESSAGES; i++){
			dispatcher_master_dma_send_data(&DISPATCHER_MASTER_DMA_0_DMA, arr, i*SCALE_FACTOR, DEST);
	}
	printf("DONE\n");
	while(1);
}
