#include <stdio.h>
#include <stdlib.h>

#ifdef spartanmc
#include <peripherals.h>
FILE * stdout = &SIM_PRINT_0_FILE;
#endif


void printDivMod(int a, int b) {
	div_t d = div(a,b);
	ldiv_t e = ldiv(a,b);
	int o = d.quot*b+d.rem;
	printf("%d/%d=%d, %%=%d o=%d",a,b,d.quot,d.rem,o);
	if (d.quot != e.quot || d.rem != e.rem) {
		printf(" long differs: /=%ld, %%=%ld\n",e.quot,e.rem);
	} else {
		putchar('\n');
	}
}

void printDivModSigns(int a, int b) {
    printDivMod(a,b);
    printDivMod(-a,b);
    printDivMod(a,-b);
    printDivMod(-a,-b);
}

void main() {
    printDivModSigns(1,1);
    printDivModSigns(10,3);
    printDivModSigns(1000,512);
    printDivModSigns(1024,7845);
}
