#!/bin/bash

#exit on all errors
set -e

#create temp dir, remove on exit
WORKDIR=`mktemp --directory --tmpdir spmc-dynamic-module-params.XXXXXX`
trap "rm -rf $WORKDIR" EXIT

JCSCRIPT=`pwd`/script.groovy


#generate project
make -C $SPARTANMC_ROOT newproject +path=$WORKDIR
cp template.jc3 $WORKDIR/config.jc3
cd $WORKDIR
cat $JCSCRIPT | make jconfig +args="-f config.jc3 -q"
grep "TRIGGER_PORT_WIDTH_0" config.jc3 || (echo "Error: Saved file does not contain \"TRIGGER_PORT_WIDTH_0\""; grep "TRIGGER_PORT_WIDTH" config.jc3 ; exit 1)

