/*
 * platform.h
 *
 *  Created on: 05.07.2017
 *      Author: laurenzk
 */

#ifndef INCLUDE_PLATFORM_H_
#define INCLUDE_PLATFORM_H_

#include "network.h"

void platform_mdio_init(void);
void platform_eth0_init(void);
void platform_eth1_init(void);

void platform_eth0_send(unsigned int *data, unsigned int size);
void platform_eth1_send(unsigned int *data, unsigned int size);

int platform_eth0_receive(unsigned int *buf);
int platform_eth1_receive(unsigned int *buf);

int platform_eth0_buffer_receive(void);

void platform_eth1_buffer_sendallowed(void);

#endif /* INCLUDE_PLATFORM_H_ */
