#include <peripherals.h>
#include <memdump.h>
#include <stdio.h>
#include <ethlib.h>
#include <perf.h>
#include <stddef.h>

#include "eval.h"
#include "buffer.h"
#include "filter.h"
#include "util.h"

FILE *stdout = &SIM_PRINT_0_FILE;

int main(void)
{
	unsigned int regval;
	unsigned int recvbuf[1000];
	int bufidx;
	int evalidx = 0;
	
	buffer_init();
	
	while(1) {
		bufidx = eval_buffer_receive(evalidx);

		if(bufidx >= 0) {
			evalidx++;
			#pragma microstreams task replicate(3)
			filter(bufidx);
		}

		#pragma microstreams task
		eval_buffer_sendallowed();
	}
	
	return 0;
}

