#include <stdio.h>
#include <peripherals.h>

FILE * stdout = &SIM_PRINT_0_FILE;



void main() {
	int data[6];
	asm volatile(
		//Prepare values to write to regs
		"MOVI i1, 1\n"
		"MOVI o1, 2\n"

		//Inc reg window
		"MOV g3, %0\n"
		"MOVS2I g2, sfr_status\n"
		"ADDI g2, 1\n"
		"MOVI2S sfr_status, g2\n"

		//Write from reg to memory
		"S18 0(g3), i1\n" //Old reg window
		"S18 2(g3), i1\n" //New reg window
		"S18 4(g3), i1\n" //New reg window

		//Dec reg window
		"ADDI g2, -1\n"
		"MOVI2S sfr_status, g2\n"

		//Write from reg to memory
		"S18 6(g3), i1\n"  //Old reg window
		"S18 8(g3), i1\n"  //New reg window
		"S18 10(g3), i1\n" //New reg window
		: /*out*/
		: /*in*/ "r"(data)
		: /*clobber*/ "g3", "g2"
	);

	for (int i=0;i<6;i++)
		printf("%d: %d\n",i,data[i]);
}
