//core1
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#define AMOUNT_SENDS 2
#define OFFSET 80
#define SIM 1

#if SIM == 1
FILE * stdout = &SIM_PRINT_0_FILE;
#else
FILE * stdout = &UART_LIGHT_0_FILE;
#endif
void fill_arr(volatile int *arr, int n){
	for(int i=OFFSET+1; i<n+OFFSET+1; i++){
		*arr = i;
		arr++;
	}
}


int main(){


	
	volatile int *arr0=&MEM_SWAP_SLAVE_0_DMA[0];
	fill_arr(arr0, AMOUNT_SENDS);
	//send data arrays

	mem_swap_swap(&MEM_SWAP_SLAVE_0.status);

	printf("swap3\n");
	
	for(int i=0; i<AMOUNT_SENDS; i++){
		if(MEM_SWAP_SLAVE_0_DMA[i]!=i+20)	
			printf("got %d but expect %d\n",MEM_SWAP_SLAVE_0_DMA[i], i+20);
	}
	
	printf("DONE3\n");
	while(1);	
}
