

ifeq ($(BEFOREMICROSTREAMS),)
	BEFOREMICROSTREAMS:=echo ""
endif
ifeq ($(MICROSTREAMS_ARGS),)
	MICROSTREAMS_ARGS:=""
endif
ifeq ($(MEM_SIZE),)
	MEM_SIZE:="4"
endif

DISABLE_PRINT_INSTR_SCRIPT:=disable_core_sim_prints.groovy
DISABLE_PRINT_INSTR:=echo "document.subsystems.each{it.parameters[\"SHOW_INSTR\"] = false};document.findByType(\"spartanmc_mem_local\").each{it.parameters[\"SHOW_MEM\"] = false}" > $(DISABLE_PRINT_INSTR_SCRIPT)

MICROSTREAMS:=make microstreams +args=$(MICROSTREAMS_ARGS)

BUILD:=make microstreams_jconfig_import +memsize=\"$(MEM_SIZE)\" +script=\"$(DISABLE_PRINT_INSTR_SCRIPT)\"

NO_JCONFIG:=TRUE


RUN_MICROSTREAMS_AND_BUILD_JCONFIG:= make clean_microstreams && rm -rf system/ && $(BEFOREMICROSTREAMS) && $(MICROSTREAMS) && $(DISABLE_PRINT_INSTR) && $(BUILD) && make firmware
