#include <peripherals.h>
#include <perf.h>
#include <stdio.h>

FILE * stdout = &SIM_PRINT_0_FILE;

int main(void)
{
	struct perf_conf pconf;
	struct perf_result presult;
	
	pconf.num_ccnt = 1;
	pconf.num_evcnt = 2;
	pconf.cycle[0].prescaler = 0;
	pconf.cycle[0].intr_filter = 1;

	pconf.event[0].eventnum = EVENT_DWRITE;
	pconf.event[0].prescaler = 0;
	pconf.event[0].edge_detect = 0;
	pconf.event[0].tie_ccnt = 1;
	pconf.event[0].tied_ccnt = 0;

	pconf.event[1].eventnum = EVENT_NOP;
	pconf.event[1].prescaler = 0;
	pconf.event[1].edge_detect = 0;
	pconf.event[1].tie_ccnt = 1;
	pconf.event[1].tied_ccnt = 0;
	perf_init(&pconf);
	
	uint18_t var;
	asm volatile("mov r5, %0\n" :: "r"(&var): "r5");

	perf_start(0);
	
	asm volatile(\
	"addi r0, 0\n"\
	"nop\n"\
	"s18 0(r5), r0\n"\
	"nop\n"\
	"nop\n"\
	"s18 0(r5), r0\n"\
	"addi r0, 0\n"\
	"addi r0, 0\n"\
	"s18 0(r5), r0\n"\
	"nop\n"\
	);
	
	perf_stop(0);
	perf_read(&presult);
	perf_results_printf(&presult);
	perf_reset();
	
	return 0;
}
