//core0
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#include "../../core0/include/global_vars.h"


void fill_arr(unsigned int *arr, unsigned int n){
	for(unsigned int i=0; i<n; i++){
		*arr = i;
		arr++;
	}
}


int main(){
	//measure duration of writing
	PORT_OUT_0.oe = 1;

#define SCALE_FACTOR GLOBAL_SCALE_FACTOR
#define AMOUNT_SENDS GLOBAL_SEND_COUNT

	//show information


	//send data arrays
	for(unsigned int i=1; i<=AMOUNT_SENDS; i++){
		unsigned int arr_size = i*SCALE_FACTOR;
		unsigned int arr0[arr_size];
		fill_arr(&arr0[0], arr_size);
		
#if SENDER_ADDITIONAL_WAIT	//wait for 2*SENDER_ADDITIONAL_WAIT cycles
		for(int j=0; j<SENDER_ADDITIONAL_WAIT; j++){
			PORT_OUT_0.data = 0;
		}
#endif

#define WAIT_FREE_COUNT GLOBAL_WAIT_FREE_COUNT

		sender_wait_free(&CORE_CONNECTOR_MASTER_0.status, &CORE_CONNECTOR_MASTER_0.msg_size, WAIT_FREE_COUNT);

		PORT_OUT_0.data = 1;

		core_connector_master_send_data(&CORE_CONNECTOR_MASTER_0, &arr0[0], arr_size);

		PORT_OUT_0.data = 0;

	}

	while(1);	
}
