//core0
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#include "../../core0/include/global_vars.h"


void fill_arr(int *arr, int n){
	for(int i=0; i<n; i++){
		*arr = i;
		arr++;
	}
}


int main(){
	//measure duration of writing
	PORT_OUT_0.oe = 1;

#define SCALE_FACTOR GLOBAL_SCALE_FACTOR
#define AMOUNT_SENDS GLOBAL_SEND_COUNT


	volatile unsigned int *arr0=CORE_CONNECTOR_MASTER_DMA_0_DMA.data+1;
	fill_arr((int *)arr0, AMOUNT_SENDS);
	CORE_CONNECTOR_MASTER_DMA_0_DMA.data[0] = 777;
	//send data arrays
	for(int i=1; i<=AMOUNT_SENDS; i++){

#define WAIT_FREE_COUNT GLOBAL_WAIT_FREE_COUNT

		wait_dma_transfer_finished(&CORE_CONNECTOR_MASTER_DMA_0_DMA.status);
		//sync slave/master

		core_connector_master_dma_send_value(&CORE_CONNECTOR_MASTER_DMA_0_DMA, &CORE_CONNECTOR_MASTER_DMA_0_DMA.data[0]);

		//wait here for transfer to finish, otherwise we measure the check functionality of the slave as well
		wait_dma_transfer_finished(&CORE_CONNECTOR_MASTER_DMA_0_DMA.status);

		PORT_OUT_0.data = 1;

		core_connector_master_dma_send_data(&CORE_CONNECTOR_MASTER_DMA_0_DMA, arr0, i);

		PORT_OUT_0.data = 0;

	}

	while(1);	
}
