//core1
#include <peripherals.h>
#include <moduleParameters.h>
#include <stdio.h>
#include <mpsoc.h>

#include "../../core0/include/global_vars.h"

FILE * stdout = &SIM_PRINT_0_FILE;


int main(){
	PORT_OUT_1.oe = 1;
	int error = 0; //for error-checking
#define SCALE_FACTOR GLOBAL_SCALE_FACTOR
#define AMOUNT_RECEIVES GLOBAL_REC_COUNT
	for(unsigned int i=1; i<=AMOUNT_RECEIVES; i++){
		int arr_size = i*SCALE_FACTOR;
		volatile unsigned int * arr0=CORE_CONNECTOR_SLAVE_DMA_0_DMA.data;
		
#define WAIT_DATA_COUNT GLOBAL_WAIT_DATA_COUNT

		core_connector_slave_dma_receive_value(&CORE_CONNECTOR_SLAVE_DMA_0_DMA,&CORE_CONNECTOR_SLAVE_DMA_0_DMA.data[0]);
		wait_dma_transfer_finished(&CORE_CONNECTOR_SLAVE_DMA_0_DMA.status);

		PORT_OUT_1.data = 1;

		core_connector_slave_dma_receive_data(&CORE_CONNECTOR_SLAVE_DMA_0_DMA, arr0, arr_size);


		PORT_OUT_1.data = 0;


//only for error check
		
		//check current receipt for correctness
		for(unsigned int j=0; j<i*SCALE_FACTOR; j++){

			if(arr0[j]!=j){
				error = 1;	//error occurred
				//specify where the error occurred:
				printf("received %d but expected %d", arr0[j], j);
			}
		}
	}
	if(!error){
		printf("OK\n");
	} else {
		printf("ERROR\n");
	}
	while(1);
	
}
