#include <stdio.h>
#include <uart.h>
#include <peripherals.h>

FILE * stdout = &SIM_LOADER_0_FILE;

char test[16] = {0x00,0x11,0x22,0x33,0x44,0x55,0x66,0x77,
    0x88,0x99,0xAA,0xBB,0xCC,0xDD,0xEE,0xFF};

void dump_buffer(char *s, char *buf, int size)  {
	int i;
	printf(s);
	for (i = 0; i < (size); i++) {
		printf("%02X ", buf[i]);
	}
	printf("\n");
}

void main () {
	unsigned char key[32];
	unsigned char buf[16], i;
	printf("Init\r\n");

	for (i = 0; i < sizeof(buf);i++) buf[i] = i * 16 + i;
	for (i = 0; i < sizeof(key);i++) key[i] = i;

	dump_buffer("Buffer: ", buf, sizeof(buf));
	dump_buffer("Key :   ", key, sizeof(key));
	printf(".....\n");

	while(1);
}
