#include <stdio.h>
#include <peripherals.h>

FILE * stdout = &SIM_PRINT_0_FILE;

void  __attribute__((noinline, noclone)) verify(volatile int * stack_top) {

	printf("stack_top: %x\n",(int)stack_top);
	*stack_top = 42;
	printf("*s: %d\n",(int)*stack_top);
	*(stack_top-1) = 42;
	printf("*(s-1): %d\n",(int)*(stack_top-1));
}

void main() {
	volatile int* stack_top;
	asm (
		"MOV %0, r0"
		: "=r"(stack_top)
	);
	verify(stack_top);
}
