#pragma once

typedef struct {
	volatile unsigned int enable;
	void * volatile data_addr;
	void * volatile code_addr;
	unsigned int volatile select_stats;
	unsigned int volatile access_count_data;
	unsigned int volatile access_count_code;
    	unsigned int stall_durations;
} stall_control_regs_t;


typedef struct {
    volatile unsigned int data;
    volatile unsigned int read_count;
    volatile unsigned int write_count;
} count_access_regs_t;
