#pragma once
/*
 * static configuration
 **********************************************************************************************************************/
#ifndef TRUE
	#define TRUE 1
#endif
#ifndef FALSE
	#define FALSE 0
#endif

#define SAMPLE_BYTES 2     ///< number of bytes per sample
#define SAMPLE_BIG_ENDIAN TRUE  ///< multi-byte samples are stored in big endian format?
#define SAMPLE_SIGNED TRUE  ///< samples may be negative?

#define INTEGER 4     ///< number of integer    bits for the prediction coefficients
#define FRACTION 12    ///< number of fractional bits for the prediction coefficients
#define outBytesAdaptivelength order*(INTEGER + FRACTION)/8

#define blockSize 2048
#define riceCoefficient 4
#define order 9

#if order==0
#define predictionHistorylength 1
#else
#define predictionHistorylength order
#define adaptivePassEnabled
#endif

void test();
void printLong(char* name, int idx, long value);
