module rapidsocTestSimple(
input wire clk,
input wire in1,
input wire in2,
output wire out,
output wire outDuplicate,
output wire outReg,
output wire outReg2,
output wire static0,
output wire static1
);



(* KEEP_HIERARCHY = "yes" *)
my_xor my_xor_inst_2(in1, in2, out);

assign outDuplicate = out;

wire t;
(* KEEP_HIERARCHY = "yes" *)
FDRE test_fdre_inst1(.D(out), .C(clk),.Q(outReg), .R(), .CE());

(* KEEP_HIERARCHY = "yes" *)
shifter shifter_inst1(.clk(clk), .in(outReg), .out(outReg2));

assign static0 = 0;
assign static1 = 1;

endmodule

module shifter(wire clk, wire in, wire out);
(* KEEP_HIERARCHY = "yes" *)
wire t,t2,t3,t4;
FDRE test_fdre_inst2(.D(in), .C(clk),.Q(out), .R(), .CE());

endmodule

module my_xor(wire a, wire b, wire out);
	assign out = a ^ b;
endmodule
